Package net.shibboleth.idp.profile.impl

# Class MetadataQueryRequest

java.lang.Object
net.shibboleth.idp.profile.impl.MetadataQueryRequest

@ThreadSafe public class MetadataQueryRequest extends Object
Object representing a query for metadata.

This abstracts the parameters used to populate the context tree.

## Field Summary

Fields
Modifier and Type
Field
Description
`private DetectDuplicateEntityIDs`
`detectDuplicateEntityIDs`
The strategy for duplicate entityID detection.
`private String`
`entityID`
An entityID.
`private String`
`protocol`
Protocol identifier for query.

## Constructor Summary

Constructors
Constructor
Description
`MetadataQueryRequest()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DetectDuplicateEntityIDs`
`getDetectDuplicateEntityIDs()`
Get the strategy for duplicate entityID detection.
`String`
`getEntityID()`
Get the entityID to query on.
`String`
`getProtocol()`
Get the protocol to query on.
`void`
`setDetectDuplicateEntityIDs(DetectDuplicateEntityIDs strategy)`
Set the strategy for duplicate entityID detection.
`void`
`setEntityID(String id)`
Set the entityID to query on.
`void`
`setProtocol(String prot)`
Set the protocol to query on.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### entityID

@Nullable @NotEmpty private String entityID
An entityID.

### protocol

@Nullable private String protocol
Protocol identifier for query.

### detectDuplicateEntityIDs

@Nullable private DetectDuplicateEntityIDs detectDuplicateEntityIDs
The strategy for duplicate entityID detection.

## Constructor Details

### MetadataQueryRequest

public MetadataQueryRequest()
Constructor.

## Method Details

### getEntityID

@Nullable @NotEmpty public String getEntityID()
Get the entityID to query on.

Returns:
  entityID for query

### setEntityID

public void setEntityID(@Nullable @NotEmpty String id)
Set the entityID to query on.

Parameters:
  `id` - entityID for query

### getProtocol

@Nullable @NotEmpty public String getProtocol()
Get the protocol to query on.

Returns:
  protocol for query

### setProtocol

public void setProtocol(@Nullable @NotEmpty String prot)
Set the protocol to query on.

Parameters:
  `prot` - protocol for query

### getDetectDuplicateEntityIDs

@Nullable public DetectDuplicateEntityIDs getDetectDuplicateEntityIDs()
Get the strategy for duplicate entityID detection.

Returns:
  strategy for duplicate entityID detection

### setDetectDuplicateEntityIDs

public void setDetectDuplicateEntityIDs(@Nullable DetectDuplicateEntityIDs strategy)
Set the strategy for duplicate entityID detection.

Parameters:
  `strategy` - the strategy for duplicate entityID detection

### toString

public String toString()

Overrides:
  `toString` in class `Object`